Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004145TestLinkTest Project Managementpublic2011-01-07 13:122011-01-22 15:11
ReporterKarlReichert 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 (Prague) 
Fixed in Version1.9.1 (bug fixing) 
Summary0004145: deactivating "public" for a project in project management doesn't work after saving
DescriptionWhen I create or modify a test project and I turn "public" off (remove the check), after saving it is still on, i.e. a project can't be set private.
Steps To Reproduce1. in TestLink's main menu select "Test Project Management"
2. Press create button and enter random information, but deselect (remove check) from "Public"
3. Press "Save"
4. in the Test Project Management overview, one can see, that "Public" for the created project is activated, although configured not to be in step 2
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.1.36
BrowserFirefox 3.6.13
PHP Version5.2.11
TestCaseID
QA Team - Task Workflow Status
Attached Filesgz file icon fix-4145.tar.gz [^] (6,638 bytes) 2011-01-10 20:33

- Relationships
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0013205)
fman (administrator)
2011-01-07 19:55

edit projectEdit.tpl remove line with
<input type="hidden" name="is_public" value="1">

clean up template_c folder, retest and let us know
(0013227)
KarlReichert (reporter)
2011-01-10 09:44

Hello fman. Doing as described does not solve the issue.
(0013231)
fman (administrator)
2011-01-10 20:33

apply attached fix, clean up templates_c, retest and let us know
(0013233)
KarlReichert (reporter)
2011-01-11 08:22

Hello fman. Thank you very much, with the new fix (fix-4145.tar.gz (6,638 Bytes) 2011-01-10 21:33), this issue is solved, i.e. one can create a project as non-public and one can edit a project and set it to non-public later, too.
(0013238)
fman (administrator)
2011-01-11 08:34

Good, apoligize for first FAST (but wrong ) FIX
(0013364)
fman (administrator)
2011-01-22 15:11

1.9.1 Released

- Issue History
Date Modified Username Field Change
2011-01-07 13:12 KarlReichert New Issue
2011-01-07 18:38 fman Assigned To => fman
2011-01-07 18:38 fman Status new => assigned
2011-01-07 19:55 fman Note Added: 0013205
2011-01-07 19:55 fman Status assigned => feedback
2011-01-10 09:44 KarlReichert Note Added: 0013227
2011-01-10 09:44 KarlReichert Status feedback => assigned
2011-01-10 20:33 fman File Added: fix-4145.tar.gz
2011-01-10 20:33 fman Note Added: 0013231
2011-01-10 20:33 fman Status assigned => feedback
2011-01-11 08:22 KarlReichert Note Added: 0013233
2011-01-11 08:22 KarlReichert Status feedback => assigned
2011-01-11 08:34 fman Note Added: 0013238
2011-01-11 08:34 fman Status assigned => resolved
2011-01-11 08:34 fman Fixed in Version => 1.9.1 (bug fixing)
2011-01-11 08:34 fman Resolution open => fixed
2011-01-11 11:32 fman Relationship added child of 0004039
2011-01-22 15:11 fman Note Added: 0013364
2011-01-22 15:11 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker